Skip to content

Set export settings

POST
/merchants/{merchantCode}/exportSettings
curl --request POST \
--url https://catalog.shopgate.io/v1/merchants/example/exportSettings \
--header 'Content-Type: application/json' \
--data '{ "exportSettings": { "googleLocalInventory": { "password": "sftp-pass", "username": "sftp-user", "productIdentifier": "productCode", "productExport": { "status": "active", "timeType": "cron", "timeValue": "4 5 * * *", "productLinkTemplate": "{{product.deeplinkUrl}}?store={store_code}" }, "inventoryExport": { "status": "active", "timeType": "time", "timeValue": "12:00", "maxExportQuantity": 5 }, "pickupLinkSubfeed": { "status": "active", "timeType": "time", "timeValue": "12:00", "pickupLinkTemplate": "{{product.deeplinkUrl}}?store={store_code}", "mobilePickupLinkTemplate": "https://shop.curbside.shopgate.com/item/{{bin2hex product.code}}", "pickupSLA": "same day" } } } }'

This endpoint sets exports settings

merchantCode
required
string
catalogCode
string
<= 255 characters
Media typeapplication/json
object
exportSettings
required
object
googleLocalInventory
object
username
required
string
password
required
string
productIdentifier
string
default: productCode
Allowed values: productCode ean sku upc
productExport
required
object
status
required
string
Allowed values: active inactive
timeType
required
string
Allowed values: cron time
timeValue
string | null
productLinkTemplate
string | null
inventoryExport
required
object
status
required
string
Allowed values: active inactive
timeType
required
string
Allowed values: cron time
timeValue
string | null
maxExportQuantity
integer | null
Example
5
pickupLinkSubfeed
required
object
status
required
string
Allowed values: active inactive
timeType
required
string
Allowed values: cron time
timeValue
string | null
pickupLinkTemplate
string
mobilePickupLinkTemplate
string
pickupSLA
string
Allowed values: same day next day
Example
{
"googleLocalInventory": {
"password": "sftp-pass",
"username": "sftp-user",
"productIdentifier": "productCode",
"productExport": {
"status": "active",
"timeType": "cron",
"timeValue": "4 5 * * *",
"productLinkTemplate": "{{product.deeplinkUrl}}?store={store_code}"
},
"inventoryExport": {
"status": "active",
"timeType": "time",
"timeValue": "12:00",
"maxExportQuantity": 5
},
"pickupLinkSubfeed": {
"status": "active",
"timeType": "time",
"timeValue": "12:00",
"pickupLinkTemplate": "{{product.deeplinkUrl}}?store={store_code}",
"mobilePickupLinkTemplate": "https://shop.curbside.shopgate.com/item/{{bin2hex product.code}}",
"pickupSLA": "same day"
}
}
}

Set catalog settings.

Media typeapplication/json

Validation error

Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName

The parameter-field, that failed to validate, like “userId”

string
paramValue

The value, that was sent, like “xxx”

null | string | number | array | object
code

Machine readable error code

string
Allowed values: SCHEMA_VALIDATION_FAILED VALIDATION_FAILED ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_TYPE UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
results
object
errors
Array<object>
object
code

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_CREDENTIALS INVALID_TYPE UNKNOWN_FORMAT PATTERN
message

Human readable error code

string
description
string
path
Array<string>
warnings
array
Example
{
"error": {
"code": "SCHEMA_VALIDATION_FAILED",
"results": {
"errors": [
{
"code": "MAX_LENGTH",
"message": "Name too long",
"description": "Property Name is too long",
"path": [
"name"
]
}
]
}
}
}

Merchant not found

Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}